Changelog entries are no longer updated. Use git history for detailed changes

2018-12-11 Even Rouault <even dot rouault at spatialys dot com>

	* geo_print.c: fix wrong test in DefaultRead() that caused erroenous
	error message to be emitted.
	* Prepare for 1.4.3RC2

2018-12-07 Even Rouault <even dot rouault at spatialys dot com>

	* Prepare for 1.4.3	

2018-05-23 Even Rouault <even dot rouault at spatialys dot com>

	* geo_set.c: when rewriting a ASCII key with a string value longer than
	the original value, do not add a dummy "0 0 0 0" entry in the GeoKeyDirectory
	(fixes https://github.com/OSGeo/gdal/issues/641)

2018-05-11 Even Rouault <even dot rouault at spatialys dot com>

	* geo_set.c: remove useless va_end() as spotted by clang-tidy

2018-02-06 Even Rouault <even dot rouault at spatialys dot com>

	* geo_new.c: reject files where the GTIFF_DOUBLEPARAMS tags has
	more than MAX_VALUES=1000 values to avoid potential out-of-bounds
	read overflow. Fixes
	https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=6035
	Credit to OSS Fuzz

2018-01-26 Even Rouault <even dot rouault at spatialys dot com>

	* geo_normalize.c: use ProjScaleAtCenterGeoKey for CT_Mercator if
	ProjScaleAtNatOriginGeoKey is not set.
	Fixes https://github.com/OSGeo/gdal/pull/296

2018-01-09 Even Rouault <even dot rouault at spatialys dot com>

	* geo_normalize.c: fix potential stack buffer overflow in
	GTIFAngleToDD()
	Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5059
	Credit to OSS Fuzz

2017-12-17 Even Rouault <even dot rouault at spatialys dot com>

	* csv/*: update to EPSG v9.2

2017-06-08 Even Rouault <even dot rouault at spatialys dot com>

	* geotiff.h, geo_keyp.h, geo_normalize.c, geo_new.c:
	add GTIFNewEx() and GTIFNewWithMethodsEx() functions that
	accept a user-provided error printing callback (only called
	by geo_normalize right now, instead of fprintf(stderr))
	and a user data handle. Add GTIFGetUserData().
	Upgrade LIBGEOTIFF_VERSION to 1430.

2017-04-14 Even Rouault <even dot rouault at spatialys dot com>

	* *.h, libxtiff/xtiffio.h: replace CPL_DLL by GTIF_DLL

2017-01-10 Even Rouault <even dot rouault at spatialys dot com>

	* csv/*: update to EPSG v9.0 (#83)

2017-01-10 Even Rouault <even dot rouault at spatialys dot com>

	* csv/datum_shift_pref.csv: add overrides for PCS 2065
	(S-JTSK (Ferro) / Krovak)
	Fixes https://trac.osgeo.org/gdal/ticket/4762 and
	https://github.com/OSGeo/proj.4/issues/185

2017-01-10 Even Rouault <even dot rouault at spatialys dot com>

	* csv/datum_shift_pref.csv: add overrides for PCS 2397/2398/2399
	(Pulkovo 1942(83) / 3-degree Gauss-Kruger zone 3,4,5)
	Fixes https://github.com/OSGeo/proj.4/issues/235

2017-01-10 Even Rouault <even dot rouault at spatialys dot com>

	* csv/datum_shift_pref.csv: add overrides for PCS 31251,31252,31253
	(MGI (Ferro) / Austria)
	Fixes https://github.com/OSGeo/proj.4/issues/254

2017-01-10 Even Rouault <even dot rouault at spatialys dot com>

	* csv/build_pcs.py, csv/datum_shift_pref.csv: add mechanism to define
	TOWGS84 parameters per PCS (instead of only relying on the TOWGS84
	parameters of the underlying GCS).
	Add override for EPSG:3844 ("Pulkovo 1942(58) / Stereo70" Romania)
	Fixes https://trac.osgeo.org/geotiff/ticket/52

2017-01-10 Even Rouault <even dot rouault at spatialys dot com>

	* csv/datum_shift_pref.csv: add override for CH1903 (EPSG:4149)
	Fixes https://trac.osgeo.org/geotiff/ticket/73

2016-11-23 Even Rouault <even dot rouault at spatialys dot com>

	* geo_new.c, geo_print.c, geo_set.c, bin/applygeo.c, bin/geotifcp.c,
	bin/makegeo.c: cppcheck fixes (signed vs unsigned printf/sscanf,
	redundantAssignment)

2016-11-21 Even Rouault <even dot rouault at spatialys dot com>

	* geo_print.c: secure sscanf()/fscanf() uses.

2016-11-20 Even Rouault <even dot rouault at spatialys dot com>

	* geo_simpletags.c: add cppcheck-suppress duplicateBranch annotation.

2016-09-04 Even Rouault <even dot rouault at spatialys dot com>

	* White space fixes in .h and .c

2016-09-01 Even Rouault <even dot rouault at spatialys dot com>

	* geotiff.h cpl_serv.h: Partial revert of r2736 to revert back including
	 "geo_config.h" (#81)

2016-08-18 Even Rouault <even dot rouault at spatialys dot com>

	* Makefile.am: Fix build issue on Windows with cmake by not
	including generate geo_config.h in the dist .zip/.tar.gz
	* geotiff.h cpl_serv.h: change #include "geo_config.h" to #include <geo_config.h>
	* cpl_serv.h: do not include <strings.h> on _WIN32 even if HAVE_STRINGS_H is defined
	* cpl_config.h.vc: remove #define HAVE_STRINGS_H 1
	* cpl_serv.c: remove includes of string.h and strings.h. Already done by cpl_serv.h 
	* Prepare for 1.4.2RC4

2016-08-17 Even Rouault <even dot rouault at spatialys dot com>

	* Prepare for 1.4.2RC3

2016-08-17 Howard Butler <howard@hobu.co>

	* csv: update to EPSG v8.9

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

	* Makefile.am: add subdir-objects to AUTOMAKE_OPTIONS. Patch by
	Bas Couwenberg (#80)

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

	* add autogen.sh in extradist
	* run it on a newer system
	* prepare for 1.4.2RC2

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

    * make dist: include files in docs/ directory (#78)

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

    * CMake: install man pages

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

    * Add manpages for applygeo & geotifcp, also fix listgeo manpage. Patch by
    Bas Couwenberg

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

    * Don't install makegeo. makegeo.c serves as a minimal example of creating
    a geotiff file. Installing the executable has no value. Patch by
    Bas Couwenberg

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>

    * Preparing 1.4.2 release.

2016-08-16 Even Rouault <even dot rouault at spatialys dot com>
    * Fix warning about strcasecmp not found in -std=c99/cmake build

2016-01-13 Even Rouault <even dot rouault at spatialys dot com>
    * Upgrade to EPSG database v8.8

2016-01-11 Even Rouault <even dot rouault at spatialys dot com>
    * geo_normalize.c: remove dead code (KS CID 138299)

2016-01-08 Even Rouault <even dot rouault at spatialys dot com>
    * libgeotiff: fix likely false-positive null-ptr use
    (KS CID 138459), remove useless null ptr chec(KS CID 138299), add dummy
    checks for return value of GTIFKeyGetDOUBLE() (KS CID 138174),
    leak in error code path (KS CID 138952)

2016-01-07 Even Rouault <even dot rouault at spatialys dot com>
    *geo_print.c: a bit refactoring to avoid false positive warning from
    Coverity Scan about cast of negative value

2015-12-30 Even Rouault <even dot rouault at spatialys dot com>
    * ReadKey(): discard double key with invalid offset/count to prevent
    out-of-bounds read in GTIFKeyGet()

2015-12-21 Even Rouault <even dot rouault at spatialys dot com>
    *geo_simpletags.c: avoid Clang Static Analyzer warnings about potential
    malloc(0)

2015-12-20 Even Rouault <even dot rouault at spatialys dot com>
    * geo_print.c: comment out dead assignment with explicit FIXME

2015-12-20 Even Rouault <even dot rouault at spatialys dot com>
    * geo_write.c: fix mostly false positive warnings reported by clang static
    analyzer, except a missed check on return of _GTIFcalloc()

2015-12-06 Even Rouault <even dot rouault at spatialys dot com>
    * Constify static arrays

2015-11-26 Even Rouault <even dot rouault at spatialys dot com>
    * Remove leading double underscores in header inclusion guards

2015-11-22 Even Rouault <even dot rouault at spatialys dot com>
    * Fix typos in comments (patch by Kurt Schwehr)

2015-11-22 Even Rouault <even dot rouault at spatialys dot com>
    * ReadKey(): fix MSVC warning for TYPE_SHORT and count > 1 (although this
    is completely untested)

2015-11-18 Even Rouault <even dot rouault at spatialys dot com>
    * Fix clang -Wshorten-64-to-32 warnings

2015-11-18 Even Rouault <even dot rouault at spatialys dot com>
    * Fix MSVC warnings

2015-11-02 Even Rouault <even dot rouault at spatialys dot com>
    * GTIFGetPCSInfo(): correctly assign KvUserDefined to *pnProjOp in case
    of failure (reported by Clang static analyzer)

2015-10-28 Even Rouault <even dot rouault at spatialys dot com>
    * Fixes to suppress ''no previous declaration/prototype' warnings

2015-10-17 Even Rouault <even dot rouault at spatialys dot com>
     * geo_normalize.c: use M_PI when available

2015-10-17 Even Rouault <even dot rouault at spatialys dot com>
    * Fix -Wshadow warnings

2015-09-30 Even Rouault <even dot rouault at spatialys dot com>
    * configure.ac: prepend JPEG library directory to LIBS (#71)

2015-09-29 Even Rouault <even dot rouault at spatialys dot com>
    * Fix warning about unknown symbol _GTIFFree

2015-09-29 Even Rouault <even dot rouault at spatialys dot com>
    * Free cdata on error in TYPE_ASCII. (GDAL CID 138951, patch by
    Kurt Schwehr)

2015-05-02 Even Rouault <even dot rouault at spatialys dot com>
    * GTIFGetProj4Defn(): add case to deal with
    CT_HotineObliqueMercatorAzimuthCenter (except RSO variant that will
    need further fix)

2015-04-01 Even Rouault <even dot rouault at spatialys dot com>
	* geotiff_proj4.c: use CPLStrdup() instead of strdup() to avoid issues
	with newer MSVC versions (GDAL #5907)

2015-03-01 Even Rouault <even dot rouault at spatialys dot com>
	* csv/build_pcs.py, csv/csv_tools.py, csv/add_esri_column.py,
	csv/pg_to_csv.py: add Python3 compatibility and pyflakes fixes

2015-03-01 Even Rouault <even dot rouault at spatialys dot com>
	* csv/build_pcs.py: when converting rotational values for TOWGS84 clause
	from other units into arc-seconds, do not output them with too big
	accuracy.
	* csv/datum_shift.csv, csv/gcs.csv: regenerated with above change.

2015-02-07 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geo_new.c, libgeotiff/geo_write.c, libgeotiff/geo_print.c:
	Fix warnings about strict-aliasing issues

2014-12-27 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geo_normalize.c: GTIFGetDefn(): deal with Polyconic and
	Equirectangular when reading PCS code only

2014-12-27 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geotiff_proj4.c: handle (as better as we can without a
	proper CT_ constant) Mercator 2SP (#72)

2014-12-27 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geo_normalize.c: GTIFGetDefn():
	fix for handling Mercator_2SP when reading PCS code only (#72)

2014-12-27 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/cpl_serv.c, libgeotiff/geo_normalize.c: GTIFGetDefn():
	issue a CE_Warning if .csv files cannot be found (GDAL #956)

2014-12-27 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geo_normalize.c: GTIFGetDefn(): fix decoding of Polar
	Stereographic Variant B (EPSG 9829) (GDAL #3220)

2014-12-25 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geo_new.c, libgeotiff/geo_print.c, libgeotiff/geo_set.c:
	Upstream compiler warnings fixes of libgeotiff from GDAL
	(http://trac.osgeo.org/gdal/changeset/27745, GDAL #5414)

2014-12-23 Even Rouault <even dot rouault at spatialys dot com>
	* libgeotiff/geo_normalize.c: GTIFGetDefn(): secure calls to
	GTIFKeyGet() by checking that the type of the stored key matches the
	expected type

2014-12-23 Even Rouault <even dot rouault at spatialys dot com>
	* listgeo: fix/workaround a crash on a corrupted image generated by afl

2014-09-13 Howard Butler <howard@hobu.co>

	* CMake: Fix up SONAME and VERSION to better
	match configure.ac

2014-09-16  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/datum_shift_pref.csv: revert change in preferred datum shift
	for Pulkovo 1942(58) related to ticket #1851 - not appropriate.

2014-09-13  Frank Warmerdam  <warmerdam@pobox.com>

	* Preparing 1.4.1 release.

	* csv/datum_shift_pref.csv: Update Pulkova 1942(58) to use a
	particular transformation (#52).

	* bin/geotifcp.c: added B, L, C and M flags from tiffcp (#68)"

	* geo_print.c: clarify that the buffer passed to read methods is only
	guaranteed to be 1024 bytes long (#62).

2014-09-13 Howard Butler <howard@hobu.co>
	* CMake: Support for INCODE build. If you need INCODE support,
	with the definitions compiled into headers, use CMake as your
	configuration/build platform.

2014-09-13  Frank Warmerdam  <warmerdam@pobox.com>

	* csv: Override three Brazilian datum shifts on behalf of Daniel
	Miranda and the OSGeo Brazilian Chapter.

2014-09-13 Howard Butler <howard@hobu.co>
	* csv: Upgrade to EPSG 8.5

2014-07-30 Howard Butler <howard@hobu.co>
	* INCODE: Adapt Ben Adler's patch in #66 to add INCODE support to the
	CMake configuration

2014-07-30 Howard Butler <howard@hobu.co>
	* geo_normalize.c: #59, better Mercator_2SP support

2014-07-30 Howard Butler <howard@hobu.co>
	* geotifcp: Do not segfault when a TIFF file has WhitePoint set #65

2014-07-30 Howard Butler <howard@hobu.co>
	* geo_names.c: fix #67 -- add VerticalUnitsGeoKey

2014-05-16 Even Roualt <even.rouault@spatialys.com>
	* add_esri_column.py: manually replace D_SIRGAS-Chile by D_Peru96 for GCS_Peru96. Likely an error in the FileGDB SDK db (#63)

2014-05-14 Even Roualt <even.rouault@spatialys.com>
	* csv: Upgrade to EPSG 8.4

2013-05-08  Frank Warmerdam  <warmerdam@pobox.com>
	* tiffcp: Add bigtiff output support with the -8 flag like tiffcp.  Contributed by
	Mohannad Al-Durgham (nwgeo.com).

2013-10-01  Frank Warmerdam  <warmerdam@pobox.com>

	* csv: Upgrade to EPSG 8.2

2013-01-31  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/datum_shift_pref.csv: Force OSGB 1936 preferred datum shift.
	(http://trac.osgeo.org/gdal/ticket/4597)

2012-12-05  Frank Warmerdam  <warmerdam@pobox.com>

	* csv: Upgrade to EPSG 8.0

2012-10-17  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: GTIFGetEllipsoidInfo() - do not assume that
	CSVFilename()'s return result is long lived.  Caused errors looking
	up ellipsoid 7007 when uom lookup altered name buffer in GDAL context.

2012-10-12  Frank Warmerdam  <warmerdam@google.com>

	* configure.ac, geotiff.h: update for 1.4.1 version even though
	we aren't releasing right now.

	* cmake/COPYING-CMAKE-SCRIPTS, LICENSE: Add note on BSD licensed
	cmake macros.

2012-10-08  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c/geo_normalize.h: Add support for disabling the
	TOWGS84 parameter support if GEO_NORMALIZE_DISABLE_TOWGS84 is
	defined.  This is primary intended to maintain binary compatability
	of the GTIFDefn structure with older versions (for MrSID compat for
	instance).  No configure support - you need to manually incorporate
	into geo_config.h or perhaps geo_normalize.h.  (gdal #3309)

	* geo_normalize.c/geo_normalize.h: Add GTIFAllocDefn() and
	GTIFFreeDefn() functions for allocation/free of GTIF structure in a
	more version independent way. (gdal #3309)

2012-05-15  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: for now treat method 9829 (Polar Stereographic
	Variant B) the same as 9810 - as CT_PolarStereographic.

2012-05-08  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_ctrans.inc, geo_normalize.c: Add CT_HotineObliqueMercatorAzimuthCenter.

2012-05-06  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Correct GTIFGetDefn() so that user defined
	linear units are properly read.  Add user defined linear units
	to definition report. (#51)

2012-03-29  Frank Warmerdam  <warmerdam@pobox.com>

	* Another crack at a 1.4.0 release.

2011-10-06  Frank Warmerdam  <warmerdam@pobox.com>

	* Add some missing csv files in svn, fix Makefile.am (#46)

2011-09-28  Frank Warmerdam  <warmerdam@pobox.com>

	* Makefile.am: add various missing csv/*.csv files to dist list.

2011-09-17  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/*.csv: Upgrade to EPSG 7.9.

2011-06-15  Frank Warmerdam  <warmerdam@pobox.com>

	* LICENSE: updated to latest EPSG terms of use details which
	clarify commercial use allowed.

2011-05-23  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Treat 1027 as equivelent to 9820 (LAEA)
	http://trac.osgeo.org/gdal/ticket/3828

	* csv/pcs.override.csv: Fix to include coord_sys_code field to match
	pcs.csv and fixes serious issue with EPSG:26799.

	* Prepare libgeotiff 1.4.0 release.

	* Makefile.am: Do not distribute geo_config.h - it should be generated.

	* bin/csv2html.c: Removed (#6)

	* csv/datum_shift_pref.csv: update Belge 1972 preferred datum shift(#32)

	* man: add listgeo man page (#1)

	* Makefile.am (SUBDIRS):

	* csv/*.csv: Upgrade to EPSG 7.6 database.

2011-05-10  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Add support for cylindrical equal area from EPSG
	(http://trac.osgeo.org/gdal/ticket/4068)

2011-05-06  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Fix so that false easting/northing values read from
	a files geokeys are correctly normalized into meters in the GTIFDefn
	structure. http://trac.osgeo.org/gdal/ticket/3901

2011-04-11  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: fix false easting/northing fetching from epsg for
	oblique mercator (EPSG:9812) (#38).

2011-03-22  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_print.c: ensure there is a space between numbers to avoid
	them flowing into each other and being unparsable (#36, #37).

2011-03-09  Frank Warmerdam  <warmerdam@pobox.com>

	* geokeys.h, geo_normalize.c, geo_normalize.h: Add GeogTOWGS84GeoKey
	support as an extension to the official specification.

2011-02-24  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_strtod.c, geo_normalize.c: Provide a locale-safe implementation
	of atof() and use it when parsing values from .csv files.

	http://trac.osgeo.org/gdal/ticket/3979

2011-02-11  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff_proj4.c, geo_normalize.c: fix a few warnings for type casts,
	and uninitialized variables.

2011-01-28  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_serv.h: Adjust EQUALN to avoid warnings on modern MSVC compiles.

2010-10-05  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c, geo_simpletags.c: Fix simple tags so it includes the
	'\0' char at the end of strings just like a real tiff.  Modify
	geo_new.c so we only drop the trailing '\0' char if that is what it
	really is.  All loosely related to:
	http://trac.liblas.org/ticket/188

2010-09-21  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.ac, geotiff_proj4.c: Avoid use of projects.h. (GDAL #3761)

2010-05-28  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/Makefile.am: add getopt.c to distribution.

	* Makefile.am: ensure geo_config.h.vc is distributed.

2010-05-09  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c: Avoid memory overrun if more than MAX_VALUES geokeys
	are encountered (#27).

	* configure.ac: fix --with-libz and --with-zlib aliases (#23)

2010-02-12  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/stateplane.csv: Fix califoria VII and added Kentuky Single Zone.
	http://trac.osgeo.org/gdal/ticket/3408

2010-01-12  Frank Warmerdam  <warmerdam@pobox.com>

	* Preparing 1.3.0 release.

	* csv/*.c, cpl_csv_incode.c, geo_incode_defs.h, Makefile.am: rename
	defs.h to geo_incode_defs.h and include it in distribution so incode
	table support will work out of the box.

2010-01-07  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_names.c: ensure that VerticalUnitsGeoKey works properly.

	* geo_write.c: switch SortKeys() to a simple bubble sort so we don't
	end up crashing when rewriting screwn geotiff tag sets with
	duplicate geokeys (like some LAS files with multiple zero dummy tags)

	* geo_new.c: resize short and double arrays bigger when reading
	from an existing file to ensure we can update and add keys later.

2010-01-03  Frank Warmerdam  <warmerdam@pobox.com>

	* Makefile.am: set versioninfo to 2:0:0 as required by the change for
	1.3.0 in the ABI due to change of size of GTIFDefn structure.
	(#19, GDAL #3309)

2009-12-30  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c: fix computation of ascii key length introduced in past
	fix a few months ago that was breaking the GTIFImport() logic.  (#14)

2009-11-11  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Recognise 9841 and 1024 projection methods as
	CT_Mercator: http://trac.osgeo.org/gdal/ticket/3217

2009-10-19  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/{gcs,pcs}.override.csv: Add comments on where the master lives
	and incorporate COORD_SYS_CODE and Pulkovo 1942 GCS.

2009-09-24  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff_proj4.c: fix parameter mapping to proj4. for equirectangular
	per http://trac.osgeo.org/gdal/ticket/2706

	* autogen.sh: adjust to avoid version conflicts (#10).

	* geo_normalize.c/h, geotiff_proj4.c: Added DefnSet to GTIFDefn so
	it can be properly established if a definition was set or if there
	were no geokeys (#12).  Corrects serious interim bug in geotiff_proj4.c

	* geo_new.c: avoid buffer overrun on corrupt input file (#14).

	* geo_print.c: Improve the precision when formatting values (#13).

2009-06-05  Paul Ramsey

	* csv: Update the EPSG csv files to the 7.1 release of the database.

2009-06-03  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: add support for LAEA, as contributed by EvenR.
	http://trac.osgeo.org/gdal/ticket/3016

2009-05-20  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/add_esri_column.py, csv/esri_datum_override.csv: Added a bunch
	of manual ESRI datum name overrides - related to GDAL r17058.

2009-05-18  Frank Warmerdam  <warmerdam@pobox.com>

	* COPYING: remove inadvertent GPL license, refer to LICENSE file.

2009-05-03  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_print.c: Use %s format string in fprintf for arbitrary messages.
	http://trac.osgeo.org/gdal/ticket/2976

2009-04-22  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalizec: Do not call CSVDeaccess() by default in getdefn -
	leave it to the application.

	* Remove all the $Log logs.

2009-04-03  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff_proj4.c: fix case for setting LCC 2SP GeoTIFF from proj.4.

2009-02-23  Frank Warmerdam  <warmerdam@pobox.com>

	* *.c, *.h: Include appropriate copyright messages where missing (#8).

	* geotiff_proj4.c: Fix some buffer overflow holes (#9).

2009-02-18  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_simpletags.c: compute "count" for ascii tag values.

2008-12-29  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Optimizations to avoid opening CSV files for
	"well known" definitions. (#4).

	* geotiff_proj4.c: Reduce change of szUnits overflow (#3).

2008-11-27  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Introduce support for StdParallel1 in
	Equirectangular (http://trac.osgeo.org/gdal/ticket/2706)

2008-11-12  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/applygeo.c: New utility for applying georeferencing to an
	existing file (written by jeskynar@hotmail.com and myself).

2008-10-24  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/listgeo.c: Improve tfw error reporting and user hints (#2)

2008-07-21  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.2.5 release.

	* csv/*.csv: upgraded to EPSG 6.17.

2008-07-03  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Fix potential buffer overflow in GTIFAngleStringToDD
	http://trac.osgeo.org/gdal/ticket/2228

2008-05-21  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/geotifcp.c: Support for -4 option to set from proj.4 def.

	* geotiff_proj4.c: Preliminary proj4->geotiff function, quite incomplete

2008-05-09  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_simpletags.{c,h}, geo_new.c, geotiff.h: Introduce "simple tags"
	API for parsing geotiff tags that don't come via libtiff.  Mostly for
	use of liblas.

2008-01-31  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Ignore GCS values less than 1 as seen in the ENVI
	generated file reported in:
	  http://trac.osgeo.org/gdal/ticket/2183

2007-12-11  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Add EPSG 9822 (Albers Equal Area) support from EPSG

2007-10-02  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c: avoid memory leak in case of error.

2007-07-28  Frank Warmerdam  <warmerdam@pobox.com>

	* Issue libgeotiff 1.2.4 release.

	* geo_normalize.c: Fix name for GCS_WGS_72 per gdal bug #1715.

2007-07-20  Frank Warmerdam  <warmerdam@pobox.com>

	* csv/*.csv,*.c: Upgrade to EPSG 6.13.  Avoid applying pcs.override.csv
	and gcs.override.csv to pcs.csv and gcs.csv as this sort of dataset
	change is discouraged by the EPSG folks.

	* geo_normalize.c: Pre-search pcs.override.csv and gcs.override.csv.

	* cpl_csv_incode.c: Handle unexpected .csv files, and missing
	records more gracefully.

2007-06-05  Frank Warmerdam  <warmerdam@pobox.com>

	* Modified GTIFGetUOMLengthInfo() (for normalization) to have
	built in known values for foot and us survey foot.

2007-03-13  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff_proj4.c, geo_normalize.c: Added support for new zealand
	map grid per http://bugzilla.remotesensing.org/show_bug.cgi?id=1519

2007-02-04  Frank Warmerdam  <warmerdam@pobox.com>

	* Makefile.in: Fix Progs dependency so parallel makes work properly.
	http://bugzilla.remotesensing.org/show_bug.cgi?id=1475

2006-12-18  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/listgeo.c: Don't report hemispheres *and* signs when using -d.

2006-11-11  Frank Warmerdam  <warmerdam@pobox.com>

	* xtiff.c, xtiffio.h: Made XTIFFInitialize() public so that
	applications can call it themselves when using alternate opens.
	http://bugzilla.remotesensing.org/show_bug.cgi?id=1296

2006-10-18  Frank Warmerdam  <warmerdam@pobox.com>

	* Upgraded csv files to EPSG 6.11.1.

2006-10-13  Frank Warmerdam  <warmerdam@pobox.com>

	* Makefile.in: Avoid running configure or autoconf automatically.
	It is nothing but heartache.

2006-07-20  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/Makefile.in: Fix prefix handling.
	http://bugzilla.remotesensing.org/show_bug.cgi?id=1245

2006-06-26  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c: If the ascii parameters list is too short for the declared
	  size of an ascii parameter, but it doesn't start off the end of the
          available string then just trim the length.  This is to make the
          ESRI sample data file 34105h2.tif work properly.  I wish we had
          a way of issuing warnings!

==============================================================================

2006-03-02  Frank Warmerdam  <warmerdam@pobox.com>

	* Issuing libgeotif 1.2.3 release.

2005-08-16  Frank Warmerdam  <warmerdam@pobox.com>

	* Makefile.in: Include @C_PIC@ in CFLAGS so -fPIC will be used.

2005-03-15  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: If a zero inverse flattening is encountered,
	interprete this as implying a semiminor axis equal to the semimajor.

2005-03-03  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff_proj4.c: added CT_CylindricalEqualArea support.

	* geo_normalize.c: Added CT_CylindricalEqualArea support.

	* geo_ctrans.c: added CT_CyldricalEqualArea.

2005-02-16  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: check for ProjFalseOriginEastingGeoKey and
	ProjFalseOriginNorthingGeoKey in GTIFFetchProjParms().  Otherwise
	we miss the false easting/northing for LCC2SP when reading with
	normalization.

2004-12-16  Frank Warmerdam  <warmerdam@pobox.com>

	* aclocal.m4, Makefile.in: added MacOSX/Darwin related logic for
	shared libraries.

	* bin/Makefile.in: fixed problem in setting libdir.

2004-12-01  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: GTIFGetGCSInfo() changed to work even if an
	illegal PM code encountered ... as long as pm info not requested.
	http://bugzilla.remotesensing.org/show_bug.cgi?id=698

2004-11-21  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: bug 649 - add LDFLAGS into LIBS, and ensure we
	can link against libproj.so even if no libproj.a is provided.

2004-10-19  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_print.c: fixed serious bug with reporting large numbers of
	GCPs.  Patch from Oliver Colin (ESA).

2004-07-09  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: added 9122 as a simple degree alias in
	GTIFGetUOMAngleInfo().

2004-06-07  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: fallback to using gdal_datum.csv if datum.csv
	not found.

==============================================================================

2004-04-30  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.2.2 release.

2004-04-29  Frank Warmerdam  <warmerdam@pobox.com>

	* xtiffio.h: Avoid including cpl_serv.h, moved to geo_tiffp.h
	so that only libgeotiff code will end up seeing cpl_serv defines.

2004-04-27  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c, geo_write.c, geo_print.c: Make it possible to
	create a GTIF information object *without* an associated TIFF *.

2004-03-23  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_csv_incode.c: include dummy version on CPLReadParseLine().

	* Reconvert the EPSG 6.5 files to C.

	* Wrote csv/csv2c.py for converting .csv file to .c.

	* Capture EPSG 6.5 csv files.

2003-10-21  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_print.c: fixed bug with long message text with embedded newlines
	which happen to straddle the end of the message buffer when expanded
	with escape characters.  (as reported by Leica - not in bugzilla).

2003-09-23  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_print.c: fixed PrintKey() to work for constant names longer
	than the message buffer.
	http://bugzilla.remotesensing.org/show_bug.cgi?id=399

2003-09-02  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c: various hacks so that with improperly terminated ascii
	parameters such as "34737 (0x87b1) ASCII (2) 9<Mercator\0>" will
	still work.  eg. 1164-0.tif

2003-07-08  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c, geo_print.c, geo_set.c, geo_tiffp.c, geo_trans.c,
	geo_write.c, geotiff_proj4.c: fix various warnings.

==============================================================================

2003-06-20  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/Makefile.in: Removed the "prep" target for copying the geotiff
	shared library ... not necessary with -L.. (I hope).

	* configure.in: don't let -ltiff get added to LIBS multiple times.

	* Prepared 1.2.1 release

2003-06-19  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_new.c: Fixed bug that can corrupt memory when an invalid
	GeoTIFF file with a zero length ascii parms strings is read (like
	bruce.tif).

2003-06-03  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/Makefile: added -L${libdir} before $(LIBS) per suggestion by
	Tommy Andreassen.

2003-02-25  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/Makefile.in: Replace $< with the object file names.  Apparently
	this makes the makefile be compatible with Sun's make.

2003-01-28  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: Default dfInDegrees in GTIFAngleToDD().

2003-01-26  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/geotifcp.c: fixed bug if the metadata file specified does not
	exist.

	http://bugzilla.remotesensing.org/show_bug.cgi?id=258

2003-01-20  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_csv_incode.c: fixed bug CSVGetField() which could cause
	a crash if a missing record was requested.

	* cpl_csv_incode.c, Makefile.in, csv/*: Reincorporated "incode"
	support as per patches from Derrick.

	* cpl_serv.h: added #define for gtGetFileFieldId.

	* cpl_csv.c: changed CSVFilename() to search for pcs.csv, not
	horiz_cs.csv.

2003-01-19  Frank Warmerdam  <warmerdam@pobox.com>

	* Makefile.in, bin/Makefile.in: added dist-clean target.

==============================================================================

2003-01-15  Frank Warmerdam  <warmerdam@pobox.com>

	* Preparing 1.2.0 libgeotiff release.

	* removed libtiff_private contents.

	* geotiff.h: added LIBGEOTIFF_VERSION macro.

	* geo_normalize.c/h: Added GTIFFreeMemory() for freeing memory
	allocated by GTIF CSV lookup functions.  Added GTIFDeaccessCSV()
	call for applications to force all CSV files to be de-cached.

	* cpl_serv.h: renamed lots of CPL functions with gt prefixes using
	macros.

2003-01-07  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: fixed some stuff with last changes.  The --with-libtiff
	option can now be used to give a base directory with libtiff installed
	into /include and /lib directories under that.

2003-01-02  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: Remove logic to insert /usr/local/ in include and lib
	path.  Remove configure switch for in-code EPSG tables since that
	option is broken for now.

2002-12-01  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_csv.c: rewritten to support in memory caching of tables, and
	fast searches.

	* geo_extra.c: tweaked to favor fixed EPSG codes for Kentucky North
	(NAD83), and Tennesse (NAD27).  The original entries have incorrect
	values. Also modified epsg_pcs.inc and epsg_proj.inc.

	* geo_normalize.c: Major restructuring to use EPSG 6.2.2 database.

2002-11-23  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_free.c: don't read past end of keys list. Introduced by
	changes from Rainer.

	* geo_new.c: fix memory leak of tempData.tk_asciiParams.  Introduced
	by changes from Rainer.

2002-09-27  Frank Warmerdam  <warmerdam@pobox.com>

	* libxtiff/{xtiff.c,xtiffio.h}: Added XTIFFClientOpen() function
	as per supplied implementation from John Novak.

	http://bugzilla.remotesensing.org/show_bug.cgi?id=204

	* geo_free.c, geo_names.c, geo_keyp.h, geo_new.c, geo_set.c,
	geo_write.c: Rainer Wiesenfarth (wiesi at ngi dot de) submitted
	patches to support deletion, and changes to ascii tags.  To accomplish
	this the ASCII tags are now allocated dynamically.  The
	GTIFF_ASCIIPARAMS are split up when read, and recombined when written.

2002-09-21  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_names.c: added support for VerticalUnitsGeoKey as per bug 203.

2002-07-19  Frank Warmerdam  <warmerdam@pobox.com>

	* bin/listgeo.c: Added -d (report corners in decimal degrees) flag
	to listgeo as submitted by Derrick Brashear.

2002-07-09  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff_proj4.c: Fixed translation of polar stereographic to PROJ.4
	as per http://bugzilla.remotesensing.org/show_bug.cgi?id=172.

2002-06-18  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_csv.h, cpl_serv.h, cpl_csv.c, cpl_csv_incode.c, geo_normalize.c:
	Removed the cpl_csv.h file, and merged it into cpl_serv.h.  Modified
	all modules including cpl_csv.h to include cpl_serv.h instead.  This
	is to avoid a conflict with the cpl_csv.h in GDAL.

2002-05-31  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_print.c: modified to using backslash escaping for backslashes,
	and newlines handle newlines in citations (as occur in Erdas generated
	files, for instance).  Also resolved some problems with processing
	long string values though very long strings will still blow up
	GTIFImport().

	http://bugzilla.remotesensing.org/show_bug.cgi?id=139

2002-02-25  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: added setting of EXEEXT macro - allow .exe files on
	Cygwin.

	* libxtiff/xtiff.c: Rewrote to use new "custom field" interface to
	libtiff (requires libtiff 3.6.x).   Removed xtiffiop.h.  No longer
	a dependence on private libtiff include files.

2002-02-12  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in, Makefile.in, bin/Makefile.in: extensive updates to
	support building libgeotiff as a DLL on Cygwin.

2002-02-11  Frank Warmerdam  <warmerdam@pobox.com>

	* Added CSVDeaccess() stub ... submitted by Derrick Brashear.

	* README: Fixed url.

2002-02-04  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: fixed up zip/jpeg arg so that --with-jpeg will work
	as reported by Julien Demaria.

2002-01-03  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.1.5 release.

	* geo_normalize.c: call CSVDeaccess() at end of GTIFPrintDefn() so that
	listgeo has closed all file handles by the end.

2001-11-28  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_trans.c: fixed memory leak of transform in GTIFPCSToImage()
	as reported by Ng Lay Keow (Nicole).

2001-07-09  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_serv.c: Another bug with pszRLBuffer being freed but not set
	to NULL.

2001-06-28  Frank Warmerdam  <warmerdam@pobox.com>

	* cpl_csv_incode.c: Use EQUAL instead of strcasecmp() to ensure code
	builds on windows.  As per

	http://bugzilla.remotesensing.org/show_bug.cgi?id=59

2001-05-02  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_set.c: modified so that a count of -1 means to delete
	the tag from the list.

2001-04-17  Frank Warmerdam  <warmerdam@pobox.com>

	* geo_normalize.c: fixed memory leaks in GTIFGetDefn().

	* cpl_serv.c: Fixed failure to set pointer to NULL when freeing
	line buffer in CPLReadLine().

	* geo_normalize.c: added support for reading custom ellipsoid
	definitions.

	http://bugzilla.remotesensing.org/show_bug.cgi?id=42

2001-04-06  Frank Warmerdam  <warmerdam@pobox.com>

	* listgeo.c: added -i flag to report inverse transformation results,
	testing the PCSToImage() function.  Not documented for user though.

	* GTIFPCSToImage(): added support for inverting matrix transformations.

	* Fixed GTIFGetDefn() to support custom ellipsoid definition.

2001-03-04  Frank Warmerdam  <warmerdam@pobox.com>

	Fixed various memory leaks bugs thanks to Alan Gray.

	* GTIFGetDefn() now calls CSVDeaccess() to avoid memory/file leaks.

	* Added docs/api, and related for Doxygen generated API docs.

	* Fixed memory leaks in GTIFPrintDefn() (geo_normalize.c), and
	GTIFImageToPCS(), GTIFPCSToImage() (geo_trans.c).

2001-03-01  Frank Warmerdam  <warmerdam@pobox.com>

	* Added PCS_GGRS87_Greek_Grid for Dr. Irwin Scollar.

2001-02-28  Frank Warmerdam  <warmerdam@pobox.com>

	* Added PCS_HD72_EOV to epsg_pcs.inc, and added GCS_GGRS87 to
	epsg_gcs.inc at the request of Prof. Dr. Irwin Scollar.

2001-02-23  Frank Warmerdam  <warmerdam@pobox.com>

	* Fixed GTIFPrintDefn() to use fprintf( fp ), instead of printf(),
	as per fixes from Alan Gray.

2001-01-19  Frank Warmerdam  <warmerdam@pobox.com>

	* Added tiffconf.h to libtiff_private.  Secretly reissue 1.1.4 source
	release.

2001-01-17  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.1.4 final release.

	* Added README_BIN, and mkbindist.sh.

	* Modified csv search code to include a search of
	share/epsg_csv and /usr/share/epsg_csv

2001-01-02  Frank Warmerdam  <warmerdam@pobox.com>

	* Added support for .tfw files with rotatational coefficents in
	geotifcp.c.

	* Updated README.WIN to mention VCVARS32.BAT.

2000-12-28  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.1.4beta release.

	* Added HOWTO-RELEASE file.

	* Removed getopt.h from geotifcp.c to build on windows.

2000-12-12  Frank Warmerdam  <warmerdam@pobox.com>

	* Fix geotifcp.c to avoid u_char problems, include getopt.h.

	* Made configure use "-L... -llibname" for libproj and libtiff
	so we will use the shared library when possible.

	* Fixed up Makefile.in so it works if . is not in the path.

	* Added CSV_DATA_DIR define to control where to look for csv files.

	Todays fixes courtesy of Dave Johnson, ddj@cascv.brown.edu and
	are summarized in:

	http://bugzilla.remotesensing.org/show_bug.cgi?id=29

2000-12-05  Frank Warmerdam  <warmerdam@pobox.com>

	* Added cassini support in geotiff_proj4.c.

	* modified geotiff_proj4.c to use +R_A to use spherical radius
	of equal area, similar to other systems like GCTP for the
	Miller Cylindrical and VanDerGrinten.  Should also do for any
	other spherical projections as identified.

2000-11-30  Frank Warmerdam  <warmerdam@pobox.com>

	* Fixed Makefile.in to install all the .inc files with the include
	files.

2000-11-24  Frank Warmerdam  <warmerdam@pobox.com>

	* Added configure/makefile logic to build a shared library,
	currently libgeotiff.so.1.1.5, and intall it with appropriate links.

	* Modified configure to use --with-libtiff, and to ignore TIFF_HOME.
	Now it is preferred to use an installed libtiff instead of one sitting
	in a build directory.

	* Added libtiff_private directory with required libtiff include
	files, to make it easier to build libgeotiff if only the standard
	libtiff development environment was installed.

2000-11-23  Frank Warmerdam  <warmerdam@pobox.com>

	* Based loosely on suggestions from Curt Mills, I have reworked
	the configure.in logic for PROJ.4.  I add -I/usr/local/include to
	CFLAGS and -L/usr/local/lib to LIBS right off the start so /usr/local
	is included in the default search path.  The user no longer
	specifies the PROJ_HOME environment variable, and instead uses
	the --with-proj configure switch.  Updated notes for building
	PROJ_HOME set in README.

2000-10-13  Frank Warmerdam  <warmerda@cs46980-c>

	* Added EquidistantConic support in PROJ.4 translation.

	* Fixed order of parameters for LCC when read directly from a
	file to match that when read from EPSG tables.  This is now
	always: 0-NatOriginLat, 1-NatOriginLong, 2-StdParallel1, 3-StdParallel2
	This change is only in geo_normalize.c.

2000-09-29  Frank Warmerdam  <warmerda@cs46980-c>

	* Fixed bug in CPLReadLine() that primarily affects windows, and
	SunOS 4.x.  Bug fix courtesy of shumilin@scanex.ru.

2000-09-15  Frank Warmerdam  <warmerda@cs46980-c>

	* Added the -proj4 option to listgeo to report it's selected
	PROJ.4 string.

	* Fixed order of parameters for LCC 2SP.  When parameters
	were read from EPSG CSV files the standard parallels and origin
	were mixed up.  This affects alot of state plane zones!

==============================================================================

2000-08-22  Frank Warmerdam  <warmerda@cs46980-c>

	* Prepare 1.1.3 release.

	* Added install target to makefile.  Defaults to /usr/local/...

	* Added libjpeg to configure, and fixed up libjpeg/libz ordering.

2000-08-21  Frank Warmerdam  <warmerda@cs46980-c>

	* Removed the GTIFTiepointTranslate() code because it it badly
	broken.

2000-06-09    <warmerda@CS46980-B>

	* Added knowledge of NAD27, NAD83, WGS72, WGS84, their datums,
	  and ellipsoids.

2000-05-21  Frank Warmerdam  <warmerda@cs46980-c>

	* Added -e option to geotifcp to intialize tiepoint+pixelscale
	based on an ESRI world file.

==============================================================================

Sun Feb 20 16:43:03 2000  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Prepare 1.1.2 release.

Tue Jan  4 10:59:48 2000  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Fixed inclusion of geoparms in object file list at Derricks
	  suggestion.

	* Added --with-zip support to configure and makefiles at the
	  suggestion of Derrick Brashear.

Fri Dec 10 13:24:21 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Upgraded .csv and .c files to EPSG 4.4.

	* Fixed bug setting the false northing for files with
	ProjCenterNorthingGeoKey set in GTIFGetDefn().

	* Added "--with-incode-epsg" support to configure, added
	cpl_csv_incode.c and csv/*.c tables.

Wed Sep 29 10:10:39 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Upgraded CSV files to EPSG 4.3 from EPSG 4.2.

Fri Sep 17 10:53:52 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Added ProjRectifiedGridAngleGeoKey(3096) and support for it's
	  use with Oblique Mercator in geo_normalize.c.

Thu Sep 16 17:22:55 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Added support for pure tiepoints, and the transformation
	matrix in GTIFImageToPCS(), and GTIFPCSToImage().

Wed Sep 15 10:19:34 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* CT_TransvMercator_SouthOriented now CT_TransvMercator_SouthOrientated
	  to match EPSG.  SouthOriented name remains as an alias.

	* Fixed serious bug in geo_normalize.c with translation of
	DD.MMSSsss values.  Return value was seriously off if any
	fraction of a second was included in the string.

Tue Sep  7 15:57:47 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Fixed count/tiepoint_count mixup in GTIFPCSToImage().  Thanks
	  to Eric Brown of Universal Systems.

Mon Jul 12 12:56:51 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Made scale a parameter of CT_Stereographic.

	* geotifcp modified to copy existing geotiff information by default.

==============================================================================

Tue May  4 09:25:12 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Prepared Version 1.1.1 release.

Mon May  3 14:10:30 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Added corner coordinate reporting to listgeo, and made full
	  report the default.

	* Added geo_trans.c with image<->PCS transformations.

	* Fixed serious bug with parsing DMSmmsss.ss coordinates from
	  CSV files which could make many results wrong.

	* Cleaned up warnings with gcc -Wall, and IRIX native compiler.

	* Added support for -Wall for GCC in when running configure. This
	also resulted in the addition of aclocal.m4 to the dist.

Wed Apr 28 14:12:25 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Added geo_extra.c, for special handling of UTM and state plane
	map systems.

	* Changed to have api help inline with the code, and extracted with
	doxygen.

Thu Mar 25 23:25:22 1999  Frank Warmerdam  <warmerda@gdal.velocet.ca>

	* Added ChangeLog and LICENSE file to distribution.

March 18

	* Added support for PROJ.4 in configure.  Added cover functions
	for Proj.4 in geotiff_proj.c, added lat/long reporting to listgeo.c.


==============================================================================

-- 1.1.0a Release (circa March 10, 1999) --

	* This release is considered alpha (not release) quality.

	* Includes new CSV files, ``geo_normalize'' support, and a new
	configure script (using autoconf).

-- 1.02 Release (1995 or so)
